Bug 472231 (CVE-2008-5357) - CVE-2008-5357 OpenJDK Truetype Font processing vulnerability (6751322)
Summary: CVE-2008-5357 OpenJDK Truetype Font processing vulnerability (6751322)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5357
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 473317 479814 479815 479822 479823 489679 489680 493287 493288 493289 529660 529661
Blocks: 734166
TreeView+ depends on / blocked
 
Reported: 2008-11-19 14:42 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 16:38:06 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0016 0 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2009-01-13 21:39:54 UTC
Red Hat Product Errata RHSA-2009:0369 0 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-03-25 14:52:47 UTC
Red Hat Product Errata RHSA-2009:0466 0 normal SHIPPED_LIVE Low: java-1.5.0-ibm security update 2009-05-07 11:45:26 UTC

Comment 2 Marc Schoenefeld 2008-12-05 10:25:59 UTC
Name: CVE-2008-5357
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5357
Reference: IDEFENSE:20081204 Sun Java JRE TrueType Font Parsing Integer Overflow Vulnerability
Reference: URL:http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=760
Reference: SUNALERT:244987
Reference: URL:http://sunsolve.sun.com/search/document.do?assetkey=1-26-244987-1

Integer overflow in Java Runtime Environment (JRE) for Sun JDK and JRE
6 Update 10 and earlier; JDK and JRE 5.0 Update 16 and earlier; SDK
and JRE 1.4.2_18 and earlier; and SDK and JRE 1.3.1_23 and earlier
might allow remote attackers to execute arbitrary code via a crafted
TrueType font file, which triggers a heap-based buffer overflow.

Comment 3 Fedora Update System 2008-12-07 04:27:47 UTC
java-1.6.0-openjdk-1.6.0.0-0.20.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-12-07 04:33:00 UTC
java-1.6.0-openjdk-1.6.0.0-7.b12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Jan Lieskovsky 2008-12-08 09:22:34 UTC
Another mention of this issue:

http://secunia.com/advisories/32991/

Comment 11 errata-xmlrpc 2009-03-25 14:52:44 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0369 https://rhn.redhat.com/errata/RHSA-2009-0369.html

Comment 15 errata-xmlrpc 2009-05-07 11:45:56 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html

Comment 16 errata-xmlrpc 2009-05-07 12:11:30 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html


Note You need to log in before you can comment on or make changes to this bug.